import { IWidgetBadge } from "../apis/api.interfaces";
export declare class WidgetBadge implements IWidgetBadge {
    getAepBadgeState(): Promise<boolean>;
    getAepBadgeId(): Promise<string>;
    getAepMissedBadgeIds(): Promise<Array<string>>;
    getAepMissedBadgeIdsPayload(): Promise<Array<string>>;
    getAepPayloadContentType(): Promise<string>;
}
